Bug 491116 - major:minor locking errors when creating a --corelog cmirror
major:minor locking errors when creating a --corelog cmirror
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: cmirror (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Jonathan Earl Brassow
Cluster QE
Depends On:
  Show dependency treegraph
Reported: 2009-03-19 10:25 EDT by Corey Marthaler
Modified: 2013-09-23 11:31 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-09-23 11:31:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2009-03-19 10:25:07 EDT
Description of problem:
[root@hayes-02 ~]# lvcreate -m 1 -n mirrorC -L 10M --corelog hayes 
  Rounding up size to full physical extent 12.00 MB
  Error locking on node hayes-02: The requested major:minor pair (253:77) is already used
  Logical volume "mirrorC" created

Mar 19 09:23:37 hayes-03 udevd[1232]: udev done!
Mar 19 09:24:06 hayes-03 lvm[7002]: Monitoring mirror device hayes-mirrorC for events 
Mar 19 09:24:06 hayes-03 udevd[1232]: udev done!

From a -vvvv strace:
    Creating logical volume mirrorC_mimage_0
        Getting device info for hayes-mirrorC
        dm info  LVM-UtC7Efceuv8B89b0VBvLZKwFQLKuonL0Eu0NeimeQbmNwRjxKiB0RrsIPDvuJ0uk NF   [16384]
        dm info  UtC7Efceuv8B89b0VBvLZKwFQLKuonL0Eu0NeimeQbmNwRjxKiB0RrsIPDvuJ0uk NF   [16384]
        dm info hayes-mirrorC  NF   [16384]
      Locking LV UtC7Efceuv8B89b0VBvLZKwFQLKuonL0Eu0NeimeQbmNwRjxKiB0RrsIPDvuJ0uk EX C (0x9d)
  Error locking on node hayes-02: The requested major:minor pair (253:77) is already used

Version-Release number of selected component (if applicable):

lvm2-2.02.42-4.el4    BUILT: Wed Feb 25 14:30:16 CST 2009
lvm2-cluster-2.02.42-4.el4    BUILT: Wed Feb 25 14:29:56 CST 2009
device-mapper-1.02.28-2.el4    BUILT: Fri Feb 20 05:09:48 CST 2009
cmirror-1.0.1-1    BUILT: Tue Jan 30 17:28:02 CST 2007
cmirror-kernel-2.6.9-43.8.el4    BUILT: Mon Mar  9 16:07:29 CDT 2009

How reproducible:
Comment 2 Jonathan Earl Brassow 2010-05-17 17:59:39 EDT
Comment 3 Corey Marthaler 2010-07-15 17:03:17 EDT
This works with the latest rhel5 code (though I have not tested this in rhel4 like originally reported).

[root@grant-01 ~]# lvcreate -m 1 -n mirrorC -L 10M --corelog grant
  Rounding up size to full physical extent 12.00 MB
  Logical volume "mirrorC" created

lvm2-2.02.56-12.el5    BUILT: Mon Jun  7 05:40:35 CDT 2010
lvm2-cluster-2.02.56-7.el5_5.3    BUILT: Fri May 14 08:35:58 CDT 2010
device-mapper-1.02.39-2.el5    BUILT: Thu Apr 22 04:43:28 CDT 2010
cmirror-1.1.39-8.el5    BUILT: Wed Mar  3 09:31:58 CST 2010
kmod-cmirror-0.1.22-3.el5    BUILT: Tue Dec 22 13:39:47 CST 200
Comment 5 Lon Hohberger 2013-09-23 11:31:33 EDT
The Red Hat Cluster Suite product is past end-of-life; closing.

Note You need to log in before you can comment on or make changes to this bug.